#
# spec file for package translator
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           translator
Version:        1.2.1
Release:        bp153.1.17
Summary:        Translation program
License:        GPL-3.0+
Group:          Productivity/Office/Dictionary
URL:            https://rapidfingers.github.io/Translator
Source:         https://github.com/RapidFingers/Translator/archive/%{version}.tar.gz#/Translator-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.28
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
This is a translator. It is suited only for small messages, not
big text. Google Translate is used as a backend.

%lang_package

%prep
%setup -q -n Translator-%{version}

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

cp debian/copyright COPYING

%build
%cmake \
    -DGSETTINGS_COMPILE=OFF
make %{?_smp_mflags}

%install
%cmake_install %{?_smp_mflags}
%suse_update_desktop_file -r com.github.rapidfingers.translator GTK Office Dictionary
%find_lang com.github.rapidfingers.translator %{name}.lang
%fdupes %{buildroot}%{_datadir}

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%doc COPYING README.md 
%{_bindir}/com.github.rapidfingers.translator
%dir %{_datadir}/appdata
%{_datadir}/appdata/com.github.rapidfingers.translator.appdata.xml
%{_datadir}/applications/com.github.rapidfingers.translator.desktop
%{_datadir}/glib-2.0/schemas/com.github.rapidfingers.translator.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.rapidfingers.translator.??g

%files lang -f %{name}.lang

%changelog
* Sat Apr  7 2018 avvissu@yandex.by
- Update to 1.2.1:
  * Timeout before translate
  * Fix useless translate on language combobox click
  * Fixed lack of translation, when text is changed during the
    transfer
* Sat Mar 17 2018 avvissu@yandex.by
- Update to 1.2.0:
  * Merge pull request #37 from
    mkinitcpio/#35-Ugly_selected_text_highlight
  * Fix #24 Fix #13
  * Remove space
  * Fix text selection style
* Fri Feb 16 2018 avvissu@yandex.by
- Update to 1.1.0:
  * Removed custom icons
  * Homepage fix
  * Site fix
  * Update README.md
  * Set theme jekyll-theme-cayman
  * Fix app data
  * Fix dark theme
  * Slovak lang; Refactor GlobalSettings
* Sat Jan 20 2018 avvissu@yandex.by
- Update to 1.0.6:
  * Fix AppStream info
  * Fix icon
  * Serbian language; Better desktop info
  * Merge pull request #27 from cassidyjames/patch-1
  * Merge pull request #25 from rankovic/master
- Add README.md
* Tue Dec 26 2017 jengelh@inai.de
- Compact filler wording from description.
* Fri Nov 10 2017 avvissu@yandex.by
- Update to 1.0.3:
  * New language select
  * More languages
  * Fix control file
- Switch from bzr to git
- Add COPYING and AppData files
- Spec file cleanup
* Fri Mar  4 2016 and.november@opensuse.org
- initial package (version 0.7) for openSUSE
